#ifndef _INC_ALMARDUINO_SERVO_H
#define _INC_ALMARDUINO_SERVO_H

//! \file AlMarDuino_Servo.h
//! \brief Archivo de cabecera para imitar la <a href="https://www.arduino.cc/reference/en/libraries/servo/">clase equivalente de Arduino</a>
//!


#include <stdio.h>

namespace AlMarDuino {
//! \class Servo
//! \brief Clase que imita a la <a href="https://www.arduino.cc/reference/en/libraries/servo/">clase equivalente de Arduino</a>
//!
class Servo {
private:
    bool isLast;
    int pin;
    static FILE* fid;
public:
//! Attaches the pin desired to a servo output
//! \param iPin: number of the servo input (0 to 3, it is not a physical pin)
//! \return bool: correctly attached
    bool attach(int iPin);

//! Moves the servo to the desired angle value
//! \param valueDeg: angle desired in degrees (0 to 180)
//! \return bool: correctly written
    bool write(double valueDeg);
};
} //namespace AlMarDuino

#endif // _INC_ALMARDUINO_SERVO_H
